const express = require("express");
const router = express.Router();
const {
  createThread,
  getAllThreads,
  deleteThread,
  getUserThreads,
  UserThreadUuid,
} = require("../controllers/threads.bot.controller.js");
const { authenticate } = require("../middleware/login.middleware.js");

router.post("/:uuid", authenticate, createThread);
router.get("/", getAllThreads);
router.get("/my-threads", authenticate, getUserThreads);
router.get("/threads/:uuid", authenticate, UserThreadUuid);
router.delete("/:id", authenticate, deleteThread);

module.exports = router;
